IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_146_1982_wrknew_start]') AND type = 'P')
DROP PROCEDURE [dbo].[order_146_1982_wrknew_start]
GO

-- 生成时间:2018-05-28 18:52:58 by ebs-core  
CREATE  procedure order_146_1982_wrknew_start(
     @cmpid int, 
     @useruid int, 
     @bizid int, 
     @ordid bigint, 
     @wrkid int, 
     @jbid bigint, 
     @operation varchar(50) output, 
     @errorinfo nvarchar(4000) output
  ) 
as  
begin  
set nocount on  
declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
declare @sys_recid bigint 
set @sys_recid = 0 
 set @operation = 'continue'
 set @errorinfo = '' 
 --- 以下是预处理事件中的临时表
 
exec drop_temp_table '#master' 
select * into #master from order_146 where ord_id=@ordid 
 ---- 以下是开发人员写的 before start job 事件 --------------
 declare @status nvarchar(30)
select @status = ord_status from #master 
if @status = '包装确认完成'
begin
   set @operation='continue'
end
else 
begin
set @operation = 'abort'
end
 ---- 以上是开发人员写的 before start job 事件 --------------
 
 if (@operation='continue') 
 begin
 set @nonedate= @nonedate  -- here useless 
 
end 
--- 清除临时表 
exec drop_temp_table '#master' 

set nocount off 
end